Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1322537 - Fix build on MIPS
Summary: Fix build on MIPS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 25
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-03-30 16:50 UTC by Michal Toman
Modified: 2017-07-18 08:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-18 08:58:02 UTC


Attachments (Terms of Use)
Fix-build-on-MIPS.patch (deleted)
2016-03-30 16:50 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-03-30 16:50:36 UTC
Created attachment 1141865 [details]
Fix-build-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires making qt5-qtbase specfile MIPS-aware. There are no working valgrind builds on MIPS at this moment.

Actual results:
MIPS is not in multilib_archs, build requires valgrind

Expected results:
MIPS is included in multilib_archs, build does not require valgrind

Additional info:
Attaching dist-git patch. It would be great if this could also be applied to F24.

Comment 1 Rex Dieter 2016-03-31 15:06:30 UTC
adapted patch, included in qt5-qtbase-5.6.0-10 build

Comment 2 Jan Kurik 2016-07-26 04:58:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Ngo Than 2017-07-18 08:58:02 UTC
it's fixed since f25


Note You need to log in before you can comment on or make changes to this bug.